Skip to main content
`Ctrl`+`K`

# ISColoringGetIS

Extracts index sets from the coloring context. Each is contains the nodes of one color

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISColoringGetIS(ISColoring iscoloring, PetscCopyMode mode, PetscInt *nn, IS *isis[])

Collective

## Input Parameters

- iscoloring - the coloring context

- mode - if this value is `PETSC_OWN_POINTER` then the caller owns the pointer and must free the array of `IS` and each `IS` in the array

## Output Parameters

- nn - number of index sets in the coloring context

- isis - array of index sets

## Note

If mode is `PETSC_USE_POINTER` then `ISColoringRestoreIS()` must be called when the `IS` are no longer needed

## See Also

`ISColoring`, `IS`, `ISColoringRestoreIS()`, `ISColoringView()`, `ISColoringGetColoring()`, `ISColoringGetColors()`

## Level

advanced

## Location

src/vec/is/is/utils/iscoloring.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages